## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanListIteratorBase< XalanListTraits, Node > Struct Template Reference

List of all members.

## Public Types

- typedef XalanListTraits::value_type value_type
- typedef XalanListTraits::reference reference
- typedef XalanListTraits::pointer pointer
- typedef ptrdiff_t difference_type
- typedef XALAN_STD_QUALIFIER
  bidirectional_iterator_tag iterator_category
- typedef XalanListIteratorBase<
  XalanListIteratorTraits<
  value_type >, Node > iterator

## Public Member Functions

- XalanListIteratorBase (Node &node)
- XalanListIteratorBase (const iterator &theRhs)
- XalanListIteratorBase operator++ ()
- XalanListIteratorBase operator++ (int)
- XalanListIteratorBase operator-- ()
- XalanListIteratorBase operator- (difference_type decrement) const
- reference operator * () const
- pointer operator-> () const
- const XalanListIteratorBase & operator= (const XalanListIteratorBase &theRhs)
- bool operator!= (const XalanListIteratorBase &theRhs) const
- bool operator== (const XalanListIteratorBase &theRhs) const
- Node & node ()

## Public Attributes

- Node * currentNode

### template<class XalanListTraits, class Node>
struct XalanListIteratorBase< XalanListTraits, Node >

## Member Typedef Documentation

template<class XalanListTraits, class Node>
typedef ptrdiff_t XalanListIteratorBase< XalanListTraits, Node >::difference_type

template<class XalanListTraits, class Node>
typedef XalanListIteratorBase<XalanListIteratorTraits<value_type>, Node> XalanListIteratorBase< XalanListTraits, Node >::iterator

template<class XalanListTraits, class Node>
typedef XALAN_STD_QUALIFIER bidirectional_iterator_tag XalanListIteratorBase< XalanListTraits, Node >::iterator_category

template<class XalanListTraits, class Node>
typedef XalanListTraits::pointer XalanListIteratorBase< XalanListTraits, Node >::pointer

template<class XalanListTraits, class Node>
typedef XalanListTraits::reference XalanListIteratorBase< XalanListTraits, Node >::reference

template<class XalanListTraits, class Node>
typedef XalanListTraits::value_type XalanListIteratorBase< XalanListTraits, Node >::value_type

## Constructor & Destructor Documentation

template<class XalanListTraits, class Node>
XalanListIteratorBase< XalanListTraits, Node >::XalanListIteratorBase | ( | Node & | node | ) |

template<class XalanListTraits, class Node>
XalanListIteratorBase< XalanListTraits, Node >::XalanListIteratorBase | ( | const iterator & | theRhs | ) |

## Member Function Documentation

template<class XalanListTraits, class Node>
Node& XalanListIteratorBase< XalanListTraits, Node >::node | ( |  | ) |

template<class XalanListTraits, class Node>
reference XalanListIteratorBase< XalanListTraits, Node >::operator * | ( |  | ) | const

template<class XalanListTraits, class Node>
bool XalanListIteratorBase< XalanListTraits, Node >::operator!= | ( | const XalanListIteratorBase< XalanListTraits, Node > & | theRhs | ) | const

template<class XalanListTraits, class Node>
XalanListIteratorBase XalanListIteratorBase< XalanListTraits, Node >::operator++ | ( | int |  | ) |

template<class XalanListTraits, class Node>
XalanListIteratorBase XalanListIteratorBase< XalanListTraits, Node >::operator++ | ( |  | ) |

template<class XalanListTraits, class Node>
XalanListIteratorBase XalanListIteratorBase< XalanListTraits, Node >::operator- | ( | difference_type | decrement | ) | const

template<class XalanListTraits, class Node>
XalanListIteratorBase XalanListIteratorBase< XalanListTraits, Node >::operator-- | ( |  | ) |

template<class XalanListTraits, class Node>
pointer XalanListIteratorBase< XalanListTraits, Node >::operator-> | ( |  | ) | const

template<class XalanListTraits, class Node>
const XalanListIteratorBase& XalanListIteratorBase< XalanListTraits, Node >::operator= | ( | const XalanListIteratorBase< XalanListTraits, Node > & | theRhs | ) |

template<class XalanListTraits, class Node>
bool XalanListIteratorBase< XalanListTraits, Node >::operator== | ( | const XalanListIteratorBase< XalanListTraits, Node > & | theRhs | ) | const

## Member Data Documentation

template<class XalanListTraits, class Node>
Node* XalanListIteratorBase< XalanListTraits, Node >::currentNode

The documentation for this struct was generated from the following file:

- XalanList.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.